Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.im.controls.events
Interface EventManagerControl

    @ControlInterface
    public interface EventManagerControl

A custom Java Control used to manage user events.

Method Summary
`com.bea.p13n.management.data.repository.DataItem` | `getEvent(String name, ResourceContext context)` Return the `DataItem` for the given name.
`SortableFilterablePagedResult<String>` | `getEventNames(int pageSize, ResourceContext context)` Returns a `PagedResult` of `String`s representing the names of all the user events within the system, in arbitrary order.
`SortableFilterablePagedResult<com.bea.p13n.management.data.repository.DataItem>` | `getEvents(int pageSize, ResourceContext context)` Returns a `PagedResult` of all the `DataItem` objects within the system representing user events, in arbitrary order.

Method Detail

### getEvents

    SortableFilterablePagedResult<com.bea.p13n.management.data.repository.DataItem> getEvents(int pageSize,
                                                                                              ResourceContext context)
                                                                                              throws com.bea.p13n.management.data.repository.PersistenceException

  Returns a `PagedResult` of all the `DataItem` objects within the system representing user events, in arbitrary order. Returns an empty list if no user events are defined.

  Parameters
    `pageSize` - the int page size for the `PagedResult`
    `context` - the resource context
  Returns
    a `PagedResult` of `RuleModel` objects
  Throws
    `com.bea.p13n.management.data.repository.PersistenceException` - if an error occurs while trying to query for the model data
  See Also
    `PagedResult`, `RuleModel`

### getEventNames

    SortableFilterablePagedResult<String> getEventNames(int pageSize,
                                                        ResourceContext context)
                                                        throws com.bea.p13n.management.data.repository.PersistenceException

  Returns a `PagedResult` of `String`s representing the names of all the user events within the system, in arbitrary order. Returns an empty list if no user events are defined.

  Parameters
    `pageSize` - the int page size for the `PagedResult`
    `context` - the resource context
  Returns
    a `PagedResult` of `RuleModel` objects
  Throws
    `com.bea.p13n.management.data.repository.PersistenceException` - if an error occurs while trying to query for the model data
  See Also
    `PagedResult`

### getEvent

    com.bea.p13n.management.data.repository.DataItem getEvent(String name,
                                                              ResourceContext context)
                                                              throws com.bea.p13n.management.data.repository.PersistenceException

  Return the `DataItem` for the given name.

  Parameters
    `name` -
    `context` - the resource context
  Throws
    `com.bea.p13n.management.data.repository.PersistenceException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.